;&H05F770.

;***$5F7BF <--- TILE TABLE FOR YOUR CREDIT SHEET IS HERE

;&H05E1DA,4C,70,F7      <--- WAS A9 7F 00      ;after DEERFORCE (counter for the next screen)
;INSERTS AN EXTRA "CREDIT SHEET" AFTER DEERFORCE
;Original coding by Jathys, but available to all to use.
;***place code at: $5EF770 (8B:F770)
;***also change: $5E1DA (8B:E1DA) = A9 7F 00      ;after DEERFORCE (counter for next screen)
;***	  	          to: $5E1DA (8B:E1DA) = 4C 70 F7      ;jump to our code

;$74F bytes in total size

;not all the values, of course, but just wanted some here
mA = $0000
mB = $0001
mC = $0002
mD = $0003
mE = $0004
mF = $0005
mG = $0006
mH = $0007
mI = $0008
mJ = $0009
mK = $000A
mL = $000B
mM = $000C
mN = $000D
mO = $000E
mP = $000F
mQ = $0010
mR = $0011
mS = $0012
mT = $0013
mU = $0014
mV = $0015
mW = $0016
mX = $0017
mY = $0018
mZ = $0019
m_ = $004F

org $F770
StartCredit
      LDX.w #$0000
LoadTileTable
      LDA TILE_TABLE,X         ;get our tile table from here
      STA $7E3000,X            ;store it to here (depends on size of table)
      INX : INX
      CPX.w #$06E0             ;# of bytes for our table (# of tiles *2)
      BMI LoadTileTable        ;still loading, so loop back
SetUpAfterTable
      JSR $8806                ;creates screen based on table???
      SEP #$20
      LDA.b #$01
      STA $69
      STZ $6B
      STZ $6F
      STZ $72
      REP #$20
      LDA.w #$00B4             ;counter for how long to show this screen
      STA $1A49
      LDA.w #CounterCode       ;pointer to the code we go to next (to count down the counter)
      STA $1F51
      STZ $0D9C
	RTS
CounterCode
      DEC $1A49                ;reduce our timer
      BEQ CounterDone          ;<--- is it zero?
      RTS                      ;<--- if not zero, we leave (ie- just sit on this sheet for a while)
CounterDone
      LDX.w #$0000			;blank out the screen so the NINTENDO screen isn't garbled with our stuff
      LDA.w #$004F
ClearTileTable
      STA $7E3000,X
      INX : INX
      CPX.w #$06E0
      BMI ClearTileTable
ReturnToOriginal
      LDA.w #$007F             ;<--- counter for screen after ours
      JMP $E1DD                ;<--- return to where DEERFORCE left off

TILE_TABLE
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_
   DC.w m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_,m_







;TO BRING UP DEERFORCE
;TRANSFER THE TILE TABLE TO THE PROPER RAM LOCATION
;8B:8806 MUST TRANSLATE
;#$0240 TILES LONG (#$0480 BYTES LONG)
;$8B/E19F A2 00 00    LDX #$0000              A:0168 X:004E Y:0000 D:0000 DB:8B S:1FF5 P:envmxdiZcHC:0110 VC:092 00 FL:45493
;LDA the start of that screen???
;$8B/E1A2 BF 9B DC 8C LDA $8CDC9B,x[$8C:DC9B] A:0168 X:0000 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdiZcHC:0128 VC:092 00 FL:45493
;$8B/E1A6 9F 40 32 7E STA $7E3240,x[$7E:3240] A:004F X:0000 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0164 VC:092 00 FL:45493
;$8B/E1AA E8          INX                     A:004F X:0000 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0204 VC:092 00 FL:45493
;$8B/E1AB E8          INX                     A:004F X:0001 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0216 VC:092 00 FL:45493
;$8B/E1AC E0 40 02    CPX #$0240              A:004F X:0002 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0228 VC:092 00 FL:45493
;$8B/E1AF 30 F1       BMI $F1    [$E1A2]      A:004F X:0002 Y:0000 D:0000 DB:8B S:1FF5 P:eNvmxdizcHC:0246 VC:092 00 FL:45493
;$8B/E1B1 20 06 88    JSR $8806  [$8B:8806]   A:004F X:0240 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdiZCHC:0592 VC:129 00 FL:45493
;
;$8B/E1B4 E2 20       SEP #$20                A:4800 X:0007 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdiZCHC:0046 VC:130 00 FL:45493
;$8B/E1B6 A9 01       LDA #$01                A:4800 X:0007 Y:0000 D:0000 DB:8B S:1FF5 P:envMxdiZCHC:0064 VC:130 00 FL:45493

;TO BRING UP NINTENDO
;MUST BE LDA'ING THE NINTENDO SCREEN AND STORING TO RAM
;$80 TILES... $100 BYTES
;$8B/E2B0 BF DB DE 8C LDA $8CDEDB,x[$8C:DEDB] A:007F X:0000 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdiZcHC:0248 VC:002 00 FL:44067
;$8B/E2B4 9F 00 33 7E STA $7E3300,x[$7E:3300] A:007F X:0000 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0284 VC:002 00 FL:44067
;$8B/E2B8 E8          INX                     A:007F X:0000 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0324 VC:002 00 FL:44067
;$8B/E2B9 E8          INX                     A:007F X:0001 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0336 VC:002 00 FL:44067
;$8B/E2BA E0 80 00    CPX #$0080              A:007F X:0002 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdizcHC:0348 VC:002 00 FL:44067
;$8B/E2BD 30 F1       BMI $F1    [$E2B0]      A:007F X:0002 Y:0000 D:0000 DB:8B S:1FF5 P:eNvmxdizcHC:0366 VC:002 00 FL:44067
;$8B/E2BF 20 06 88    JSR $8806  [$8B:8806]   A:007F X:0080 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdiZCHC:0270 VC:010 00 FL:44067
;
;$8B/E2C2 E2 20       SEP #$20                A:4800 X:0007 Y:0000 D:0000 DB:8B S:1FF5 P:envmxdiZCHC:1050 VC:010 00 FL:44067
;$8B/E2C4 A9 01       LDA #$01                A:4800 X:0007 Y:0000 D:0000 DB:8B S:1FF5 P:envMxdiZCHC:1068 VC:010 00 FL:44067




;$6682B			<---- rough start of ending suit palette (2 of them)

;LOAD THE TILE TABLE FOR DEERFORCE INTO $7E3240,X
;A2 00 00			LDX #$0000				<--- X WORKS AS A COUNTER;
;TILETABLELOOP
;BF 9B DC 8C		LDA $8CDC9B,X			<--- LOADING THE TILE TABLE, WHICH STARTS HERE
;9F 40 32 7E		STA $7E3240,X			<--- STORING THE TILE TABLE TO HERE
;E8					INX
;E8					INX
;E0 40 02			CPX #$0240				<--- INCREASED THE COUNTER, SO COMPARE TO THE # OF BYTES WE NEED
;30 F1				BMI TILETABLELOOP		<--- IF WE NEED MORE DATA, LOOP BACK

;TILE TABLE LOADED
;DISPLAY??????????
;SET UP DELAYS/COUNTERS AND SUCH
;20 06 88			JSR $8806			<--- JSR TO THE SUB THAT CALLS THE SHEET FOR DEERFORCE
;E2 20				SEP #$20
;A9 01				LDA #$01
;85 69				STA $69 (DP)		<--- ???
;64 6B				STZ $6B (DP)
;64 6F				STZ $6F (DP)
;64 72				STZ $72 (DP)
;C2 20				REP #$20
;A9 B4 00			LDA #$00B4		<---- COUNTER OF HOW LONG TO SHOW THIS?
;8D 49 1A			STA $1A49
;A9 D2 E1			LDA #$E1D2		<---- POINTER TO THE CODE WE GO TO AFTER THIS SUB IS DONE
;8D 51 1F			STA $1F51		<---- STORE THE POINTER HERE
;9C 9C 0D			STZ $0D9C		<---- SOMETHING WITH SAMUS COLLISIONS???
;60				RTS

;COUNTER CODE
;JUMPED TO BY THE POINTER STORED IN $1F51
;CE 49 1A			DEC $1A49
;F0 03		      BEQ $03		<--- IF COUNTER REACHED ZERO, MOVE ON TO AFTER THE COUNTER CODE
;4C 64 E2			JMP $E264		<--- IF COUNTER STILL ACTIVE, JMP TO $E264 (AN RTS)

;AFTER COUNTER (E1DA)
;A9 7F 00			LDA #$007F		<--- NEXT COUNTER
;8D 49 1A			STA $1A49
;AD E0 09			LDA $09E0		<--- GAME TIME IN HOURS
;C9 03 00			CMP #$0003		<--- CMP TO 3
;30 44			BMI $44		<--- IF LESS THAN 3 HOURS, JUMP AHEAD TO HERE01
;C9 0A 00			CMP #$000A		<--- CMP TO A??? (10 HOURS?)
;30 22			BMI $22		<--- IF LESS THAN 10 HOURS (BUT MORE THAN 3) JUMP TO HERE02

;BAD_ENDING:
;A0 4B EF
;20 8A 93
;A0 45 EF
;20 8A 93
;A9 93 E2
;8D 51 1F
;E2 20
;A9 10
;85 69
;64 6B
;64 6F
;64 72
;C2 20
;80 55				BRA $55			<--- TO AN RTS


;MEDIUM_ENDING						<---- TAKE HELMET OFF?
;20 E9 8B
;20 09 8C
;A0 51 EF
;20 8A 93
;A0 45 EF
;20 8A 93
;A2 C0 01
;A0 10 00
;20 5E 8C 
;
;BEST_ENDING						<---- TAKE SUIT OFF?
;80 12				BRA $12			<--- WTF... WE BRANCHED TO A BRANCH (HEREXXX)
;20 E9 8B
;20 09 8C
;A0 27 EF
;;20 8A 93
;A0 2D EF
;20 8A 93
;HEREXXXX
;A A0 01
;A0 10 00
;20 5E 8C
;20 EA 8C
;E2 20
;A9 02
;85 69
;A9 10
;85 6B
;A9 02
;85 6F
;A9 22
;85 72
;C2 20
;A9 65 E2
;8D 51 1F 
;60					RTS
;
;AD 49 1A
;89 03 00			BIT #$0003
;D0 26
;A2 40 00
;A0 10 00
;20 83 8C
;AD E0 09
;C9 03 00
;30 09
;A2 C0 01
;A0 10 00
;20 B2 8C
;A2 A0 01
;A0 10 00
;20 B2 8C
;20 EA 8C
;AD 49 1A
;3A
;8D 49 1A
;C9 41 00
;10 3D
;A2 3E 02
;A9 7F 00
;9F 40 32 7E
;CA
;CA
;10 F8 
;
;START_OF_NINTENDO
;
